Subject: Re: [PATCH net] virtio-net: reject small vring sizes

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 17 Apr 2023 07:57:24 -0400

On Mon, Apr 17, 2023 at 11:51:22AM +0000, Alvaro Karsz wrote:
> > > I see your point.
> > > Regardless, we'll need to fail probe in some cases.
> > > ring size of 1 for example (if I'm not mistaken)
> > 
> > Hmm. We can make it work if we increase hard header size, then
> > there will always be room for vnet header.
> > 
> > > control vq even needs a bigger ring.
> > 
> > Why does it?
> 
> At the moment, most of the commands chain 3 descriptors:
> 1 - class + command
> 2 - command specific
> 3 - ack
> 
> We could merge 1 and 2 into a single one, both are read only for the device, so I take it back, it won't need a bigger ring.
> But it will need 2 descriptors at least(1 read only for the device and 1 write only for the device), so we still need to fail probe sometimes.
> 

Yes that makes sense, it's architetural. We can disable ctrl vq though.

-- 
MST